# sos upgrade reproducer from bionic to xenial

Download the xenial package using uvt

```
uvt-simplestreams-libvirt --verbose sync arch=amd64 release=xenial
```

Create the VM and ssh to it

```
uvt-kvm create xenial01 release=xenial --mem 1024
uvt-kvm wait xenial01
uvt-kvm ssh xenial01
```

Now, in the VM we run the following commands

```
sudo -i
cat > /etc/update-manager/release-upgrades.d/allow-thirdparty.cfg << EOF
[Sources]
AllowThirdParty = yes
EOF

exit
```

```
cat <<EOF >/etc/apt/sources.list.d/ubuntu-$(lsb_release -cs)-proposed.list
# Enable Ubuntu proposed archive
deb http://archive.ubuntu.com/ubuntu/ $(lsb_release -cs)-proposed restricted main multiverse universe
EOF
```



```
sudo apt -y update
sudo apt -y upgrade

sudo dpkg -l > pre-upgrade.txt

sudo do-release-upgrade -f DistUpgradeViewNonInteractive

sudo dpkg -l > post-upgrade.txt
```

Now, in a second VM

```
uvt-kvm create xenial02 release=xenial --mem 1024
uvt-kvm wait xenial02
uvt-kvm ssh xenial02
```

```
cat <<EOF >/etc/apt/sources.list.d/ubuntu-$(lsb_release -cs)-proposed.list
# Enable Ubuntu proposed archive
deb http://archive.ubuntu.com/ubuntu/ $(lsb_release -cs)-proposed restricted main multiverse universe
EOF
```


```
sed -i s/xenial/bionic/g /etc/apt/sources.list
sed -i s/xenial/bionic/g /etc/apt/sources.list.d/ubuntu-xenial-proposed.list
```

```
sudo dpkg -l > pre-upgrade.txt
```


```
sudo apt -y update
sudo apt -y upgrade
```


```
sudo dpkg -l > post-upgrade.txt
```


